### Class

# AppStream Icon

since: 1.0

#### Description

    class AppStream.Icon : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 1.0

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### as_icon_new

Creates a new `AsIcon`.

since: 1.0

#### Instance methods

###### as_icon_get_filename

No description available.

since: 1.0

###### as_icon_get_height

No description available.

since: 1.0

###### as_icon_get_kind

Gets the icon kind.

since: 1.0

###### as_icon_get_name

No description available.

since: 1.0

###### as_icon_get_scale

No description available.

since: 0.11.0

###### as_icon_get_url

Gets the icon URL, pointing at a remote location. HTTPS and FTP urls are allowed. This property is only set for icons of type `AS_ICON_KIND_REMOTE`.

since: 1.0

###### as_icon_get_width

No description available.

since: 1.0

###### as_icon_set_filename

Sets the icon absolute filename.

since: 1.0

###### as_icon_set_height

Sets the icon height.

since: 1.0

###### as_icon_set_kind

Sets the icon kind.

since: 1.0

###### as_icon_set_name

Sets the stock name or basename to use for the icon.

since: 1.0

###### as_icon_set_scale

Sets the icon scaling factor used for HiDPI displays.

since: 0.11.0

###### as_icon_set_url

Sets the icon URL.

since: 1.0

###### as_icon_set_width

Sets the icon width.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct AppStreamIconClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.
`_as_reserved1: void (* _as_reserved1) ( void )`
  No description available.
`_as_reserved2: void (* _as_reserved2) ( void )`
  No description available.
`_as_reserved3: void (* _as_reserved3) ( void )`
  No description available.
`_as_reserved4: void (* _as_reserved4) ( void )`
  No description available.
`_as_reserved5: void (* _as_reserved5) ( void )`
  No description available.
`_as_reserved6: void (* _as_reserved6) ( void )`
  No description available.